
# coding: utf-8
#modules 

get_ipython().magic('matplotlib inline')
import scipy
import numpy as np
import datetime 
import statistics
import glob
import xarray as xr
import time
import math
import warnings
import os

import pandas as pd 
import matplotlib.pyplot as plt
from matplotlib.ticker import (MultipleLocator, FormatStrFormatter,
                               AutoMinorLocator)




filename1 = '/home/hiault/Python_stage/Data/ACE_FTS_V5/csv/temp_CH.csv'
filename2 = '/home/hiault/Python_stage/Data/ACE_FTS_V5/csv/temp_IRA.csv'
output = '/home/hiault/Python_stage/out/'
df1 = pd.read_csv(filename1, sep=';', header=0) #Header = 0 -> si il y a déjà des noms de colonnes 
df2 = pd.read_csv(filename2, sep=';', header=0)
df1 = df1.set_index('datetime', drop=True)
df2 = df2.set_index('datetime', drop=True)






#création des axes : 

axe_t1 = df1['YearFraction']
axe_t2 = df2['Yearfraction']
daily_mean1 = df1['CHF3_ppt']
daily_mean2 = df2['CHF3_ppt']
tendance1 = df1['Tendance ']
tendance2 = df2['Tendance']
borne_inf1 = df1['borne_inf']
borne_inf2= df2['borne_inf']
borne_sup1 = df1['borne_sup']
borne_sup2 = df2['borne_sup']



## Visualisation df1

fig, ax = plt.subplots(figsize=(30,20))
ax.plot(axe_t1,daily_mean1, 'o', color='lightgrey', linewidth='3', label='Daily data (non filtered)')
ax.plot(axe_t1,tendance1, linestyle= ':', color='black',linewidth='5', label='Tendance')

# Tracer la zone entre les bornes supérieures et inférieures

ax.fill_between(axe_t1, borne_sup1, borne_inf1, color='magenta', alpha=0.5, label='Upper and lower bound (± 1 standard deviation)')
#ax.plot(axe_t1, borne_sup1,  color='magenta',linewidth='5', label='Mean ± 1 STD')
#ax.plot(axe_t1, borne_inf1,  color='magenta',linewidth='5')
ax.set_title('ACE-FTS data (Switzerland area) \nScatter plot', fontsize=40)
ax.set_xlabel('Year', fontsize=36)
ax.set_ylabel('Concentration (ppt)', fontsize=36)
ax.legend(fontsize=30, loc='best')
ax.set_xlim(2007, 2020)
ax.xaxis.set_major_locator(MultipleLocator(2))
ax.xaxis.set_minor_locator(MultipleLocator(1))
#ax.yaxis.set_major_locator(MultipleLocator(10))
#ax.yaxis.set_minor_locator(MultipleLocator(5))
ax.tick_params(axis='both', which='major', direction='inout', length=14, width=2, top=1, bottom=1, left=1, right=1, 
               labelsize=36)
ax.tick_params(axis='both', which='minor', direction='inout', length=8, width=2, top=1, bottom=1, left=1, right=1, 
               labelsize=36)
plt.rc('font', **{'size':'28'})
plt.show()
fig.savefig( output + 'Filtring_data_Switzerland_area.pdf', bbox_inches='tight', dpi=300)


## Visualisation df2 

fig, ax = plt.subplots(figsize=(30,20))
ax.plot(axe_t2,daily_mean2, 'o', color='lightgray', linewidth='3', label='Daily data (non filtered)')
ax.plot(axe_t2,tendance2, linestyle= ':', color='black',linewidth='5', label='Tendance')


# Tracer la zone entre les bornes supérieures et inférieures

ax.fill_between(axe_t2, borne_sup2, borne_inf2, color='magenta', alpha=0.5, label='Upper and lower bound (± 1 standard deviation)')
#ax.plot(axe_t1, borne_sup1,color='green',linewidth='4', label='Mean ± 1 STD')
#ax.plot(axe_t1, borne_inf1,color='green',linewidth='4')
ax.set_title('ACE-FTS data (Ireland area) \nScatter plot', fontsize=40)
ax.set_xlabel('Year', fontsize=36)
ax.set_ylabel('Concentration (ppt)', fontsize=36)
ax.set_xlim(2007, 2020)
ax.legend(fontsize=30, loc='best')
ax.xaxis.set_major_locator(MultipleLocator(2))
ax.xaxis.set_minor_locator(MultipleLocator(1))
ax.tick_params(axis='both', which='major', direction='inout', length=14, width=2, top=1, bottom=1, left=1, right=1, 
               labelsize=36)
ax.tick_params(axis='both', which='minor', direction='inout', length=8, width=2, top=1, bottom=1, left=1, right=1, 
               labelsize=36)
plt.rc('font', **{'size':'28'})
plt.show()
fig.savefig( output + 'Filtring_data_Ireland_area.pdf', bbox_inches='tight', dpi=300)





